SDL_hid_get_device_info(3)

NAME
SDL_hid_get_device_info - Get the device info from a HID device.

HEADER FILE
Defined in SDL3/SDL_hidapi.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_hid_device_info * SDL_hid_get_device_info(SDL_hid_device *dev);

FUNCTION PARAMETERS

dev A device handle returned from SDL_hid_open ().

RETURN VALUE
Returns a pointer to the SDL_hid_device_info
 for this hid_device, or NULL in the case of failure; call SDL_GetError () for more information. This struct is valid until the device is closed with SDL_hid_close ().

AVAILABILITY
This function is available since SDL 3.0.0.